Package Details: phantomjs 2.1.1-16

Git Clone URL: https://aur.archlinux.org/phantomjs.git (read-only, click to copy)
Package Base: phantomjs
Description: Headless WebKit with JavaScript API
Upstream URL: http://www.phantomjs.org/
Licenses: BSD, LGPL, MIT
Submitter: yan12125
Maintainer: None
Last Packager: TheGoliath
Votes: 21
Popularity: 0.22
First Submitted: 2018-01-24 14:25
Last Updated: 2020-07-06 10:26

Pinned Comments

yan12125 commented on 2018-08-12 11:22

FAQ

  • error while loading shared libraries: libicui18n.so.61: cannot open shared object file: No such file or directory

You can either to reinstall this package afte upgrading the system to ICU 62, or install the prebuilt package listed below.

  • Building takes too long time!

A: PhantomJS ships with its own Qt and QtWebKit. Just be patient.

Latest Comments

1 2 3 4 5 Next › Last »

Protecto commented on 2020-07-28 22:42

This package can be built on armv7l too. I just built it on a Raspberry Pi 4 by applying this patch. Without the flag it would not compile because warnings are treated as errors.

diff --git a/PKGBUILD b/PKGBUILD
index 9bfded9..584c675 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -14,7 +14,7 @@ pkgrel=16
 pkgdesc='Headless WebKit with JavaScript API'
 url='http://www.phantomjs.org/'
 license=('BSD' 'LGPL' 'MIT')
-arch=('i686' 'x86_64')
+arch=('armv7l')
 depends=('icu' 'libjpeg-turbo' 'libpng' 'fontconfig' 'gperf' 'ruby' 'python2' 'openssl-1.0' 'qt5-webkit')
 makedepends=('quilt')
 source=("${pkgname}-${pkgver}.tar.gz::https://github.com/ariya/phantomjs/archive/${pkgver}.tar.gz"
@@ -47,8 +47,8 @@ build() {
   export CXXFLAGS+=' -I/usr/include/openssl-1.0'
   export OPENSSL_LIBS='-L/usr/lib/openssl-1.0 -lssl -lcrypto'

-  CFLAGS+=' -Wno-expansion-to-defined'
-  CXXFLAGS+=' -Wno-expansion-to-defined'
+  CFLAGS+=' -Wno-expansion-to-defined -Wno-vla-larger-than'
+  CXXFLAGS+=' -Wno-expansion-to-defined -Wno-vla-larger-than'

   python2 build.py --skip-git --skip-qtbase --skip-qtwebkit --confirm --release
 }

cherti commented on 2020-07-05 16:26

2.1.1-15 misses a dependency on qt5-webkit, otherwise it won't build. Installing qt5-webkit manually fixes this, so updating the dependency array should suffice to resolve this.

TheGoliath commented on 2020-07-04 11:24

Updated the PKGBUILD :)

jplatte commented on 2020-07-01 12:54

Currently getting a build failure (sorry for localized error message, hope it makes sense still):

platform/graphics/SegmentedFontData.cpp: In Elementfunktion »virtual bool WebCore::SegmentedFontData::containsCharacters(const UChar*, int) const«:
platform/graphics/SegmentedFontData.cpp:65:9: Fehler: expected »;« before »if«
   65 |         if (!containsCharacter(c))
      |         ^~

TheGoliath commented on 2020-06-06 17:29

Patch is expected to be installed on your system as the base-devel is expected to be installed on your system

d0lphin commented on 2020-06-06 16:45

Please add patch to the dependencies

Rumcajs commented on 2020-04-30 07:07

wan't compile : make: *** [Makefile:178: sub-Source-WebCore-WebCore-pro-make_first-ordered] Error 2 Failed to build PhantomJS! Building Qt WebKit failed.

cirrus commented on 2020-04-26 23:55

After 34 mins 38 seconds i get ...

ERROR: Failed to build PhantomJS! Building Qt WebKit failed.

==> ERROR: A failure occurred in build().

Aborting...

this is 3rd attempt at building.

slav commented on 2020-04-25 18:42

unfortunately failure occurred during building package phantomjs 2.1.1-14

make: *** [Makefile:178: sub-Source-WebCore-WebCore-pro-make_first-ordered] Error 2

ERROR: Failed to build PhantomJS! Building Qt WebKit failed. ==> ERROR: A failure occurred in build(). Aborting...

ryuta commented on 2019-11-23 17:29

It failed to (re)build :

platform/graphics/GlyphMetricsMap.h:113:9: required from 'WebCore::GlyphMetricsMap<T>::GlyphMetricsPage WebCore::GlyphMetricsMap<T>::locatePageSlowCase(unsigned int) [with T = float]' platform/graphics/GlyphMetricsMap.h:77:16: required from 'WebCore::GlyphMetricsMap<T>::GlyphMetricsPage WebCore::GlyphMetricsMap<T>::locatePage(unsigned int) [with T = float]' platform/graphics/GlyphMetricsMap.h:49:16: required from 'T WebCore::GlyphMetricsMap<T>::metricsForGlyph(WebCore::Glyph) [with T = float; WebCore::Glyph = short unsigned int]' platform/graphics/SimpleFontData.h:355:58: required from here ../WTF/wtf/HashTable.h:800:19: warning: 'void memset(void, int, size_t)' clearing an object of type 'struct WTF::KeyValuePair<int, WTF::OwnPtr<WebCore::GlyphMetricsMap<float>::GlyphMetricsPage> >' with no trivial copy-assignment; use value-initialization instead [-Wclass-memaccess] 800 | memset(&bucket, 0, sizeof(bucket)); | ~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~ In file included from ../WTF/wtf/HashTable.h:28, from ../WTF/wtf/HashMap.h:24, from platform/graphics/GlyphMetricsMap.h:34, from platform/graphics/SimpleFontData.h:33, from platform/graphics/FontGlyphs.h:25, from platform/graphics/Font.h:29, from platform/graphics/qt/FontQt.cpp:23: ../WTF/wtf/HashTraits.h:198:12: note: 'struct WTF::KeyValuePair<int, WTF::OwnPtr<WebCore::GlyphMetricsMap<float>::GlyphMetricsPage> >' declared here 198 | struct KeyValuePair { | ^~~~~~~~~~~~ make[2]: Leaving directory '/home/tux/.cache/yay/phantomjs/src/phantomjs-2.1.1/src/qt/qtwebkit/Source/WebCore' make[1]: [Makefile.WebCore:68: sub-Target-pri-make_first-ordered] Error 2 make[1]: Leaving directory '/home/tux/.cache/yay/phantomjs/src/phantomjs-2.1.1/src/qt/qtwebkit/Source/WebCore' make: [Makefile:178: sub-Source-WebCore-WebCore-pro-make_first-ordered] Error 2

ERROR: Failed to build PhantomJS! Building Qt WebKit failed. ==> ERROR: A failure occurred in build(). Aborting... Error making: phantomjs